Get Account Portfolio History

Returns timeseries data about equity and profit/loss (P/L) of the account in requested timespan.

Path Params
string
required
Query Params
string

The total duration of history being requested defined as number + unit.
Valid units are: D, W, M, and A (annum).

The following restrictions apply:

  • MUST NOT be included if both start and end are provided.
  • Default value is 1M when start or end is omitted.
string

The resolution of time window. 1Min, 5Min, 15Min, 1H, or 1D. If omitted, 1Min for less than 7 days period,
15Min for less than 30 days, or otherwise 1D.

For queries with longer than 30 days of period, the system only accepts 1D as timeframe.

string
enum
Defaults to market_hours

For intraday resolutions (<1D) this specifies which timestamps to return data points for:

Allowed values are:

  • market_hours

    Only timestamps for the core equity trading hours are returned (usually 9:30am to 4:00pm, trading days only).

  • extended_hours

    Returns timestamps for the whole session including extended hours (usually 4:00am to 8:00pm, trading days only).

  • continuous

    Returns price data points 24/7 (for off-session times too). To calculate the equity values we are using the following prices:

    Between 4:00am and 10:00pm on trading days the valuation will be calculated based on the last trade (extended hours and normal hours respectively).

    After 10:00pm, until the next session open the equities will be valued at their official closing price on the primary exchange.

Allowed:
string

The first timestamp of the timeseries.

Accepted formats:

  • ISO 8601 date stamp (e.g. "2021-03-16", parsed as UTC)
  • ISO 8601 datetime (e.g. "2021-03-16T18:38:01Z", "2021-03-16T18:38:01-04:00")
  • Unix timestamp

Defaults to end - period.

When timeframe=1D, if start occurs any time on a trading day (including outside of market hours), start is set to the closing time of the current trading day. Otherwise, start is rolled forward to the closing time of the next available trading day.

When timeframe != 1D, one of the following rules is applied.

  • When intraday_reporting=continuous, start is rolled back to the nearest timeframe interval.
  • When both start and end are omitted, start is rolled back to the first market/session open that is encountered.
  • When intraday_reporting != continuous and start is a trading day:
    • roll forward to the first market/session open if start is outside of market/session hours, or
    • roll back to the nearest timeframe interval if start occurs during trading hours.
  • Roll forward to the next market/session open if start does not fall on a trading day.

start may be combined with end or period, but cannot be combined with both.

string
enum
Defaults to per_day

pnl_reset defines how we are calculating the baseline values for Profit And Loss (pnl) for queries with timeframe less than 1D (intraday queries).

The default behavior for intraday queries is that we reset the pnl value to the previous day's closing equity for each trading day.

In case of crypto (given its continuous nature), this might not be desired: specifying "no_reset" disables this behavior and all pnl values
returned will be relative to the closing equity of the previous trading day.

For 1D resolution all PnL values are calculated relative to the base_value, we are not resetting the base value.

Allowed:
string

The last timestamp of the timeseries.

Accepted formats:

  • ISO 8601 date stamp (e.g. "2021-03-16", parsed as UTC)
  • ISO 8601 datetime (e.g. "2021-03-16T18:38:01Z", "2021-03-16T18:38:01-04:00")
  • Unix timestamp

Defaults to start + period when start is provided.

When start and end are omitted, or if end is AFTER the request time, end defaults to

  • The most recent session open timestamp if intraday_reporting=extended_hours
  • The most recent market open timestamp if intraday_reporting=market_hours
  • The current timestamp if intraday_reporting=continuous

end may be combined with start or period, but cannot be combined with both.

string

deprecated: Users are strongly advised to rely on the intraday_reporting query parameter for better control
of the reporting range.

If true, include extended hours in the result. This is effective only for timeframe less than 1D.

string

The cashflow activities to include in the report. One of 'ALL', 'NONE', or a comma-separated list of activity types.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json